import { Group, Vector3 } from "three";
export declare class Sun extends Group {
    private readonly debug;
    private readonly sunOffset;
    private readonly shadowResolution;
    private readonly shadowCamFrustum;
    private readonly camHelper;
    private readonly shadowCamera;
    private readonly directionalLight;
    target: Vector3 | null;
    constructor();
    updateCharacterPosition(position: Vector3 | undefined): void;
    setAzimuthalAngle(angle: number): void;
    setPolarAngle(angle: number): void;
    setIntensity(intensity: number): void;
    setColor(): void;
    private setSunPosition;
}
